package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.SolidwasteLife;
import com.lightinit.hsdatashow.entity.SolidwasteLifeExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.SolidWasteNameAndValueModel;
import org.apache.ibatis.annotations.Param;

public interface SolidwasteLifeMapper {
    long countByExample(SolidwasteLifeExample example);

    int deleteByExample(SolidwasteLifeExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SolidwasteLife record);

    int insertSelective(SolidwasteLife record);

    List<SolidwasteLife> selectByExample(SolidwasteLifeExample example);

    SolidwasteLife selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SolidwasteLife record, @Param("example") SolidwasteLifeExample example);

    int updateByExample(@Param("record") SolidwasteLife record, @Param("example") SolidwasteLifeExample example);

    int updateByPrimaryKeySelective(SolidwasteLife record);

    int updateByPrimaryKey(SolidwasteLife record);

    SolidWasteNameAndValueModel getOneSolidwasteLife();

    List<SolidwasteLife> getSolidwasteLife(@Param("year") int year);
}